### org.jfree.layouting.renderer

# Class StringStore

- `java.lang.Object`
- - `org.jfree.layouting.renderer.AbstractStore`
  - - `org.jfree.layouting.renderer.StringStore`

Implemented Interfaces:
  Cloneable, Serializable

`public class StringStore`
`extends AbstractStore`

For the first throw, the content remains very simple. We support the 4 modes: start - the initial content is used. first - the first value set in this page is used (else the initial content) last - the last value is used. last-except - the last value is used on the next page. (Contrary to the specification, we fall back to the start-value instead of using an empty value). The string store is used for all counter, counters and string properties.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StringStore()`

  ## Method Summary

  `void`

  `add(String name, String contents)`

  `String`

  `get(String name)`

  `String`

  `get(String name, CSSValue pagePolicy)`

  ### Methods inherited from class org.jfree.layouting.renderer.AbstractStore

  `addInternal`, `clone`, `derive`, `getFirstInternal`, `getInitialInternal`, `getLastInternal`

## Constructor Details

### StringStore

    public StringStore()

## Method Details

### add

    public void add(String name,
                    String contents)

### get

    public String get(String name)

### get

    public String get(String name,
                      CSSValue pagePolicy)